import type { ContextMenuItem } from '../types/ContextMenuItem';
import type { LocalizedStrings } from '../../common/index';
import type { EditorPlugin, IEditor } from 'roosterjs-content-model-types';
/**
 * Create a new instance of ContextMenuProviderImpl class
 * @param menuName Name of this group of menus
 * @param items Menu items that will be show
 * @param strings Localized strings of these menu items
 * @param shouldAddMenuItems A general checker to decide if we should add this group of menu items
 */
export declare function createContextMenuProvider<TString extends string, TContext>(menuName: string, items: ContextMenuItem<TString, TContext>[], strings?: LocalizedStrings<TString>, shouldAddMenuItems?: (editor: IEditor, node: Node) => boolean, context?: TContext): EditorPlugin;
