define(["require", "exports", "tslib", "react", "@fluentui/react/lib/Utilities"], function (require, exports, tslib_1, React, Utilities_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.EmojiIcon = void 0;
    /**
     * @internal
     * Emoji icon component
     */
    function EmojiIcon(props) {
        var _a;
        var emoji = props.emoji, onClick = props.onClick, isSelected = props.isSelected, onMouseOver = props.onMouseOver, onFocus = props.onFocus, strings = props.strings, id = props.id, classNames = props.classNames;
        var content = emoji.description && strings[emoji.description];
        return (React.createElement("button", (0, tslib_1.__assign)({ id: id, role: "option", className: (0, Utilities_1.css)(classNames.emoji, (_a = {},
                _a[classNames.emojiSelected] = isSelected,
                _a)), onClick: onClick, onMouseOver: onMouseOver, onFocus: onFocus, "data-is-focusable": true, "aria-label": content, "aria-selected": isSelected }, getDataAndAriaProps(props)), emoji.codePoint || '…'));
    }
    exports.EmojiIcon = EmojiIcon;
    function reduceObject(object, callback) {
        if (!object) {
            return object;
        }
        return Object.keys(object).reduce(function (result, key) {
            if (callback(key)) {
                result[key] = object[key];
            }
            return result;
        }, {});
    }
    function getDataAndAriaProps(props) {
        return reduceObject(props || {}, function (propName) { return propName.indexOf('data-') === 0 || propName.indexOf('aria-') === 0; });
    }
});
//# sourceMappingURL=EmojiIcon.js.map