define(["require", "exports", "react", "../../common/index", "@fluentui/react/lib/Styling", "@fluentui/react/lib/TextField"], function (require, exports, React, index_1, Styling_1, TextField_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.InputDialogItem = void 0;
    var classNames = (0, Styling_1.mergeStyleSets)({
        inputBox: {
            width: '100%',
            minWidth: '250px',
            height: '32px',
            margin: '5px 0 16px',
            borderRadius: '2px',
        },
    });
    /**
     * @internal
     */
    function InputDialogItem(props) {
        var itemName = props.itemName, strings = props.strings, items = props.items, currentValues = props.currentValues, onChanged = props.onChanged, onEnterKey = props.onEnterKey, rows = props.rows;
        var _a = items[itemName], labelKey = _a.labelKey, unlocalizedLabel = _a.unlocalizedLabel, autoFocus = _a.autoFocus;
        var value = currentValues[itemName];
        var onValueChange = React.useCallback(function (_, newValue) {
            onChanged(itemName, newValue);
        }, [itemName, onChanged]);
        var onKeyPress = React.useCallback(function (e) {
            if (e.key == 'Enter') {
                onEnterKey();
            }
        }, [onEnterKey]);
        return (React.createElement("div", null,
            labelKey ? React.createElement("div", null, (0, index_1.getLocalizedString)(strings, labelKey, unlocalizedLabel)) : null,
            React.createElement("div", null,
                React.createElement(TextField_1.TextField, { role: "textbox", type: "text", className: classNames.inputBox, value: value, onChange: onValueChange, onKeyPress: onKeyPress, autoFocus: autoFocus, rows: rows, multiline: !!rows }))));
    }
    exports.InputDialogItem = InputDialogItem;
});
//# sourceMappingURL=InputDialogItem.js.map