define(["require", "exports", "../../colorPicker/component/renderColorPicker", "roosterjs-content-model-api", "../../colorPicker/utils/backgroundColors", "../../colorPicker/utils/getClassNamesForColorPicker"], function (require, exports, renderColorPicker_1, roosterjs_content_model_api_1, backgroundColors_1, getClassNamesForColorPicker_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.backgroundColorButton = void 0;
    var Key = 'buttonNameBackgroundColor';
    /**
     * "Background color" button on the format ribbon
     */
    exports.backgroundColorButton = {
        dropDownMenu: {
            items: backgroundColors_1.BackgroundColorDropDownItems,
            itemClassName: (0, getClassNamesForColorPicker_1.getColorPickerItemClassName)(),
            allowLivePreview: true,
            itemRender: function (item, onClick) { return (0, renderColorPicker_1.renderColorPicker)(item, backgroundColors_1.BackgroundColors, onClick); },
            commandBarSubMenuProperties: {
                className: (0, getClassNamesForColorPicker_1.getColorPickerContainerClassName)(),
            },
        },
        key: Key,
        unlocalizedText: 'Background color',
        iconName: 'FabricTextHighlight',
        onClick: function (editor, key) {
            // This check will always be true, add it here just to satisfy compiler
            if (key != 'buttonNameBackgroundColor') {
                (0, roosterjs_content_model_api_1.setBackgroundColor)(editor, (0, backgroundColors_1.getBackgroundColorValue)(key).lightModeColor);
            }
        },
    };
});
//# sourceMappingURL=backgroundColorButton.js.map