define(["require", "exports", "roosterjs-content-model-api"], function (require, exports, roosterjs_content_model_api_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.fontSizeButton = void 0;
    var FONT_SIZES = [8, 9, 10, 11, 12, 14, 16, 18, 20, 22, 24, 26, 28, 36, 48, 72];
    /**
     * "Font Size" button on the format ribbon
     */
    exports.fontSizeButton = {
        key: 'buttonNameFontSize',
        unlocalizedText: 'Font size',
        iconName: 'FontSize',
        dropDownMenu: {
            items: FONT_SIZES.reduce(function (map, size) {
                map[size + 'pt'] = size.toString();
                return map;
            }, {}),
            getSelectedItemKey: function (formatState) { var _a; return (_a = formatState.fontSize) !== null && _a !== void 0 ? _a : ''; },
            allowLivePreview: true,
        },
        onClick: function (editor, size) {
            (0, roosterjs_content_model_api_1.setFontSize)(editor, size);
        },
    };
});
//# sourceMappingURL=fontSizeButton.js.map