define(["require", "exports", "roosterjs-content-model-api"], function (require, exports, roosterjs_content_model_api_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.insertImageButton = void 0;
    function createInput(doc) {
        var input = doc.createElement('input');
        input.type = 'file';
        input.accept = 'image/*';
        input.setAttribute('display', 'none');
        return input;
    }
    /**
     * "Insert image" button on the format ribbon
     */
    exports.insertImageButton = {
        key: 'buttonNameInsertImage',
        unlocalizedText: 'Insert image',
        iconName: 'Photo2',
        onClick: function (editor) {
            var document = editor.getDocument();
            var fileInput = createInput(document);
            document.body.appendChild(fileInput);
            fileInput.addEventListener('change', function () {
                if (fileInput.files) {
                    for (var i = 0; i < fileInput.files.length; i++) {
                        (0, roosterjs_content_model_api_1.insertImage)(editor, fileInput.files[i]);
                    }
                }
            });
            try {
                fileInput.click();
            }
            finally {
                document.body.removeChild(fileInput);
            }
        },
    };
});
//# sourceMappingURL=insertImageButton.js.map