define(["require", "exports", "roosterjs-content-model-core"], function (require, exports, roosterjs_content_model_core_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.undoButton = void 0;
    /**
     * "Undo" button on the format ribbon
     */
    exports.undoButton = {
        key: 'buttonNameUndo',
        unlocalizedText: 'Undo',
        iconName: 'undo',
        isDisabled: function (formatState) { return !formatState.canUndo; },
        onClick: function (editor) {
            (0, roosterjs_content_model_core_1.undo)(editor);
        },
        commandBarProperties: {
            buttonStyles: {
                icon: { paddingBottom: '10px' },
            },
        },
    };
});
//# sourceMappingURL=undoButton.js.map