import * as React from 'react';
import type { RibbonButtonDropDown } from '../../ribbon/type/RibbonButtonDropDown';
import type { IContextualMenuItem } from '@fluentui/react/lib/ContextualMenu';
import type { Colors } from 'roosterjs-content-model-types';
/**
 * @internal
 * Render a color picker
 * @param item Color items
 * @param colorDef Definition of colors
 * @param onClick On click event handler
 */
export declare function renderColorPicker<Strings extends string>(item: IContextualMenuItem, colorDef: Record<Strings, Colors>, onClick: (e: React.MouseEvent<Element, MouseEvent> | React.KeyboardEvent<Element>, item: IContextualMenuItem) => void): JSX.Element;
/**
 * Get a drop down data object of color picker used by drop down button
 * @param colorSet The set of color, text or background
 * @returns The color picker drop down for ribbon button
 */
export declare function getColorPickerDropDown(colorSet: 'text' | 'background'): RibbonButtonDropDown;
