import { __extends } from "tslib";
import * as React from 'react';
import { ContextMenuPluginBase } from 'roosterjs-content-model-plugins';
import { ContextualMenu } from '@fluentui/react/lib/ContextualMenu';
import { renderReactComponent } from '../../common/utils/renderReactComponent';
function normalizeItems(items) {
    var dividerKey = 0;
    return items.map(function (item) {
        return item || {
            name: '-',
            key: 'divider_' + (dividerKey++).toString(),
        };
    });
}
var ContextMenuPlugin = /** @class */ (function (_super) {
    __extends(ContextMenuPlugin, _super);
    function ContextMenuPlugin() {
        var _this = _super.call(this, {
            render: function (container, items, onDismiss) {
                var normalizedItems = normalizeItems(items);
                if (normalizedItems.length > 0) {
                    _this.disposer = renderReactComponent(_this.uiUtilities, React.createElement(ContextualMenu, { target: container, onDismiss: onDismiss, items: normalizedItems }));
                }
            },
            dismiss: function (_) {
                var _a;
                (_a = _this.disposer) === null || _a === void 0 ? void 0 : _a.call(_this);
                _this.disposer = null;
            },
        }) || this;
        _this.uiUtilities = null;
        _this.disposer = null;
        return _this;
    }
    ContextMenuPlugin.prototype.setUIUtilities = function (uiUtilities) {
        this.uiUtilities = uiUtilities;
    };
    return ContextMenuPlugin;
}(ContextMenuPluginBase));
/**
 * Create a new instance of ContextMenu plugin with context menu implementation based on FluentUI.
 */
export function createContextMenuPlugin() {
    return new ContextMenuPlugin();
}
//# sourceMappingURL=createContextMenuPlugin.js.map