import { __assign } from "tslib";
import * as React from 'react';
import { css } from '@fluentui/react/lib/Utilities';
/**
 * @internal
 * Emoji icon component
 */
export function EmojiIcon(props) {
    var _a;
    var emoji = props.emoji, onClick = props.onClick, isSelected = props.isSelected, onMouseOver = props.onMouseOver, onFocus = props.onFocus, strings = props.strings, id = props.id, classNames = props.classNames;
    var content = emoji.description && strings[emoji.description];
    return (React.createElement("button", __assign({ id: id, role: "option", className: css(classNames.emoji, (_a = {},
            _a[classNames.emojiSelected] = isSelected,
            _a)), onClick: onClick, onMouseOver: onMouseOver, onFocus: onFocus, "data-is-focusable": true, "aria-label": content, "aria-selected": isSelected }, getDataAndAriaProps(props)), emoji.codePoint || '…'));
}
function reduceObject(object, callback) {
    if (!object) {
        return object;
    }
    return Object.keys(object).reduce(function (result, key) {
        if (callback(key)) {
            result[key] = object[key];
        }
        return result;
    }, {});
}
function getDataAndAriaProps(props) {
    return reduceObject(props || {}, function (propName) { return propName.indexOf('data-') === 0 || propName.indexOf('aria-') === 0; });
}
//# sourceMappingURL=EmojiIcon.js.map