import { forEachEmoji } from './emojiList';
/**
 * @internal
 */
export function searchEmojis(search, strings) {
    var shortcutMatch = matchShortcut(search);
    search = search.toLowerCase();
    var fullMatch = shortcutMatch ? [shortcutMatch] : [];
    var partialMatch = [];
    var partialSearch = ' ' + (search[0] == ':' ? search.substr(1) : search);
    forEachEmoji(function (emoji) {
        var keywords = (emoji.keywords && strings[emoji.keywords]) || '';
        var searchableKeywords = emoji.keywords ? ' ' + keywords.toLowerCase() + ' ' : '';
        var index = searchableKeywords.indexOf(partialSearch);
        if (index >= 0) {
            (searchableKeywords[index + partialSearch.length] == ' '
                ? fullMatch
                : partialMatch).push(emoji);
        }
        return true;
    });
    return fullMatch.concat(partialMatch);
}
function matchShortcut(search) {
    var result = null;
    search = ' ' + search + ' ';
    forEachEmoji(function (emoji) {
        if (emoji.shortcut && (' ' + emoji.shortcut + ' ').indexOf(search) >= 0) {
            result = emoji;
            return false;
        }
        return true;
    });
    return result;
}
//# sourceMappingURL=searchEmojis.js.map