import { renderColorPicker } from '../../colorPicker/component/renderColorPicker';
import { setBackgroundColor } from 'roosterjs-content-model-api';
import { BackgroundColorDropDownItems, BackgroundColors, getBackgroundColorValue, } from '../../colorPicker/utils/backgroundColors';
import { getColorPickerContainerClassName, getColorPickerItemClassName, } from '../../colorPicker/utils/getClassNamesForColorPicker';
var Key = 'buttonNameBackgroundColor';
/**
 * "Background color" button on the format ribbon
 */
export var backgroundColorButton = {
    dropDownMenu: {
        items: BackgroundColorDropDownItems,
        itemClassName: getColorPickerItemClassName(),
        allowLivePreview: true,
        itemRender: function (item, onClick) { return renderColorPicker(item, BackgroundColors, onClick); },
        commandBarSubMenuProperties: {
            className: getColorPickerContainerClassName(),
        },
    },
    key: Key,
    unlocalizedText: 'Background color',
    iconName: 'FabricTextHighlight',
    onClick: function (editor, key) {
        // This check will always be true, add it here just to satisfy compiler
        if (key != 'buttonNameBackgroundColor') {
            setBackgroundColor(editor, getBackgroundColorValue(key).lightModeColor);
        }
    },
};
//# sourceMappingURL=backgroundColorButton.js.map