import { setFontSize } from 'roosterjs-content-model-api';
var FONT_SIZES = [8, 9, 10, 11, 12, 14, 16, 18, 20, 22, 24, 26, 28, 36, 48, 72];
/**
 * "Font Size" button on the format ribbon
 */
export var fontSizeButton = {
    key: 'buttonNameFontSize',
    unlocalizedText: 'Font size',
    iconName: 'FontSize',
    dropDownMenu: {
        items: FONT_SIZES.reduce(function (map, size) {
            map[size + 'pt'] = size.toString();
            return map;
        }, {}),
        getSelectedItemKey: function (formatState) { var _a; return (_a = formatState.fontSize) !== null && _a !== void 0 ? _a : ''; },
        allowLivePreview: true,
    },
    onClick: function (editor, size) {
        setFontSize(editor, size);
    },
};
//# sourceMappingURL=fontSizeButton.js.map