import { insertImage } from 'roosterjs-content-model-api';
function createInput(doc) {
    var input = doc.createElement('input');
    input.type = 'file';
    input.accept = 'image/*';
    input.setAttribute('display', 'none');
    return input;
}
/**
 * "Insert image" button on the format ribbon
 */
export var insertImageButton = {
    key: 'buttonNameInsertImage',
    unlocalizedText: 'Insert image',
    iconName: 'Photo2',
    onClick: function (editor) {
        var document = editor.getDocument();
        var fileInput = createInput(document);
        document.body.appendChild(fileInput);
        fileInput.addEventListener('change', function () {
            if (fileInput.files) {
                for (var i = 0; i < fileInput.files.length; i++) {
                    insertImage(editor, fileInput.files[i]);
                }
            }
        });
        try {
            fileInput.click();
        }
        finally {
            document.body.removeChild(fileInput);
        }
    },
};
//# sourceMappingURL=insertImageButton.js.map