import { __read } from "tslib";
import { adjustLinkSelection, insertLink } from 'roosterjs-content-model-api';
import { showInputDialog } from '../../inputDialog/utils/showInputDialog';
/**
 * "Insert link" button on the format ribbon
 */
export var insertLinkButton = {
    key: 'buttonNameInsertLink',
    unlocalizedText: 'Insert link',
    iconName: 'Link',
    onClick: function (editor, _, strings, uiUtilities) {
        var _a = __read(adjustLinkSelection(editor), 2), displayText = _a[0], url = _a[1];
        var items = {
            url: {
                autoFocus: true,
                labelKey: 'insertLinkDialogUrl',
                unlocalizedLabel: 'Web address (URL)',
                initValue: url !== null && url !== void 0 ? url : '',
            },
            displayText: {
                labelKey: 'insertLinkDialogDisplayAs',
                unlocalizedLabel: 'Display as',
                initValue: displayText,
            },
        };
        showInputDialog(uiUtilities, 'insertLinkTitle', 'Insert link', items, strings, function (itemName, newValue, values) {
            if (itemName == 'url' && values.displayText == values.url) {
                values.displayText = newValue;
                values.url = newValue;
                return values;
            }
            else {
                return null;
            }
        }).then(function (result) {
            editor.focus();
            if (result && result.url && (result.displayText != displayText || result.url != url)) {
                insertLink(editor, result.url, result.url, result.displayText);
            }
        });
    },
};
//# sourceMappingURL=insertLinkButton.js.map