import type { BackgroundColorKeys, TextColorKeys } from '../../colorPicker/types/stringKeys';
import type { CancelButtonStringKey, MenuItemSplitterKey0, OkButtonStringKey } from '../../common/type/LocalizedStrings';
/**
 * Key of localized strings of Align center button
 */
export declare type AlignCenterButtonStringKey = 'buttonNameAlignCenter';
/**
 * Key of localized strings of Align left button
 */
export declare type AlignLeftButtonStringKey = 'buttonNameAlignLeft';
/**
 * Key of localized strings of Align right button
 */
export declare type AlignRightButtonStringKey = 'buttonNameAlignRight';
/**
 * Key of localized strings of Align justify button
 */
export declare type AlignJustifyButtonStringKey = 'buttonNameAlignJustify';
/**
 * Key of localized strings of Background color button
 */
export declare type BackgroundColorButtonStringKey = 'buttonNameBackgroundColor' | BackgroundColorKeys;
/**
 * Key of localized strings of Bold button
 */
export declare type BoldButtonStringKey = 'buttonNameBold';
/**
 * Key of localized strings of Bulleted list button
 */
export declare type BulletedListButtonStringKey = 'buttonNameBulletedList';
/**
 * Key of localized strings of Clear format button
 */
export declare type ClearFormatButtonStringKey = 'buttonNameClearFormat';
/**
 * Key of localized strings of Code button
 */
export declare type CodeButtonStringKey = 'buttonNameCode';
/**
 * Key of localized strings of Decrease font size button
 */
export declare type DecreaseFontSizeButtonStringKey = 'buttonNameDecreaseFontSize';
/**
 * Key of localized strings of Decrease indent size button
 */
export declare type DecreaseIndentButtonStringKey = 'buttonNameDecreaseIndent';
/**
 * Key of localized strings of Font button
 */
export declare type FontButtonStringKey = 'buttonNameFont';
/**
 * Key of localized strings of Font size button
 */
export declare type FontSizeButtonStringKey = 'buttonNameFontSize';
/**
 * Key of localized strings of Heading button
 */
export declare type HeadingButtonStringKey = 'buttonNameHeading' | 'buttonNameHeading1' | 'buttonNameHeading2' | 'buttonNameHeading3' | 'buttonNameHeading4' | 'buttonNameHeading5' | 'buttonNameHeading6' | 'buttonNameNoHeading' | MenuItemSplitterKey0;
/**
 * @deprecated Use HeadingButtonStringKey instead
 */
export declare type HeaderButtonStringKey = 'buttonNameHeader' | 'buttonNameHeader1' | 'buttonNameHeader2' | 'buttonNameHeader3' | 'buttonNameHeader4' | 'buttonNameHeader5' | 'buttonNameHeader6' | 'buttonNameNoHeader' | HeadingButtonStringKey;
/**
 * Key of localized strings of Increase font size button
 */
export declare type IncreaseFontSizeButtonStringKey = 'buttonNameIncreaseFontSize';
/**
 * Key of localized strings of Increase indent size button
 */
export declare type IncreaseIndentButtonStringKey = 'buttonNameIncreaseIndent';
/**
 * Key of localized strings of Insert image button
 */
export declare type InsertImageButtonStringKey = 'buttonNameInsertImage';
/**
 * Key of localized strings of Insert link button
 */
export declare type InsertLinkButtonStringKey = 'buttonNameInsertLink' | 'insertLinkTitle' | 'insertLinkDialogUrl' | 'insertLinkDialogDisplayAs' | OkButtonStringKey | CancelButtonStringKey;
/**
 * Key of localized strings of Insert table button
 */
export declare type InsertTableButtonStringKey = 'buttonNameInsertTable' | 'insertTablePane';
/**
 * Key of localized strings of Italic button
 */
export declare type ItalicButtonStringKey = 'buttonNameItalic';
/**
 * Key of localized strings of Left to right button
 */
export declare type LtrButtonStringKey = 'buttonNameLtr';
/**
 * Key of localized strings of More commands (overflow) button
 */
export declare type MoreCommandsButtonStringKey = 'buttonNameMoreCommands';
/**
 * Key of localized strings of Numbered list button
 */
export declare type NumberedListButtonStringKey = 'buttonNameNumberedList';
/**
 * Key of localized strings of Quote button
 */
export declare type QuoteButtonStringKey = 'buttonNameQuote';
/**
 * Key of localized strings of Redo button
 */
export declare type RedoButtonStringKey = 'buttonNameRedo';
/**
 * Key of localized strings of Remove link button
 */
export declare type RemoveLinkButtonStringKey = 'buttonNameRemoveLink';
/**
 * Key of localized strings of Right to left button
 */
export declare type RtlButtonStringKey = 'buttonNameRtl';
/**
 * Key of localized strings of Strikethrough button
 */
export declare type StrikethroughButtonStringKey = 'buttonNameStrikethrough';
/**
 * Key of localized strings of Subscript button
 */
export declare type SubscriptButtonStringKey = 'buttonNameSubscript';
/**
 * Key of localized strings of Superscript button
 */
export declare type SuperscriptButtonStringKey = 'buttonNameSuperscript';
/**
 * Key of localized strings of Text color button
 */
export declare type TextColorButtonStringKey = 'buttonNameTextColor' | TextColorKeys;
/**
 * Key of localized strings of Underline button
 */
export declare type UnderlineButtonStringKey = 'buttonNameUnderline';
/**
 * Key of localized strings of Undo button
 */
export declare type UndoButtonStringKey = 'buttonNameUndo';
/**
 * @deprecated
 * Key of localized strings of Cell shade button
 */
export declare type CellShadeButtonStringKey = 'buttonNameCellShade' | BackgroundColorKeys;
/**
 * A public type for localized string keys of all buttons
 */
export declare type AllButtonStringKeys = AlignLeftButtonStringKey | AlignCenterButtonStringKey | AlignRightButtonStringKey | AlignJustifyButtonStringKey | BackgroundColorButtonStringKey | BoldButtonStringKey | BulletedListButtonStringKey | ClearFormatButtonStringKey | CodeButtonStringKey | DecreaseFontSizeButtonStringKey | DecreaseIndentButtonStringKey | FontButtonStringKey | FontSizeButtonStringKey | HeaderButtonStringKey | HeadingButtonStringKey | IncreaseFontSizeButtonStringKey | IncreaseIndentButtonStringKey | InsertImageButtonStringKey | InsertLinkButtonStringKey | InsertTableButtonStringKey | ItalicButtonStringKey | LtrButtonStringKey | MoreCommandsButtonStringKey | NumberedListButtonStringKey | QuoteButtonStringKey | RedoButtonStringKey | RemoveLinkButtonStringKey | RtlButtonStringKey | StrikethroughButtonStringKey | SubscriptButtonStringKey | SuperscriptButtonStringKey | TextColorButtonStringKey | UnderlineButtonStringKey | UndoButtonStringKey | CellShadeButtonStringKey;
