"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getColorPickerItemClassName = exports.getColorPickerContainerClassName = void 0;
var Styling_1 = require("@fluentui/react/lib/Styling");
var classNames = (0, Styling_1.mergeStyleSets)({
    colorPickerContainer: {
        width: '192px',
        padding: '8px',
        overflow: 'hidden',
        '& ul': {
            width: '192px',
            overflow: 'hidden',
        },
    },
    colorMenuItem: {
        display: 'inline-block',
        width: '32px',
        height: '32px',
        '& button': {
            padding: '0px',
            minWidth: '0px',
            background: 'transparent',
            border: 'none',
        },
    },
});
/**
 * @internal
 */
function getColorPickerContainerClassName() {
    return classNames.colorPickerContainer;
}
exports.getColorPickerContainerClassName = getColorPickerContainerClassName;
/**
 * @internal
 */
function getColorPickerItemClassName() {
    return classNames.colorMenuItem;
}
exports.getColorPickerItemClassName = getColorPickerItemClassName;
//# sourceMappingURL=getClassNamesForColorPicker.js.map