"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createContextMenuPlugin = void 0;
var tslib_1 = require("tslib");
var React = require("react");
var roosterjs_content_model_plugins_1 = require("roosterjs-content-model-plugins");
var ContextualMenu_1 = require("@fluentui/react/lib/ContextualMenu");
var renderReactComponent_1 = require("../../common/utils/renderReactComponent");
function normalizeItems(items) {
    var dividerKey = 0;
    return items.map(function (item) {
        return item || {
            name: '-',
            key: 'divider_' + (dividerKey++).toString(),
        };
    });
}
var ContextMenuPlugin = /** @class */ (function (_super) {
    (0, tslib_1.__extends)(ContextMenuPlugin, _super);
    function ContextMenuPlugin() {
        var _this = _super.call(this, {
            render: function (container, items, onDismiss) {
                var normalizedItems = normalizeItems(items);
                if (normalizedItems.length > 0) {
                    _this.disposer = (0, renderReactComponent_1.renderReactComponent)(_this.uiUtilities, React.createElement(ContextualMenu_1.ContextualMenu, { target: container, onDismiss: onDismiss, items: normalizedItems }));
                }
            },
            dismiss: function (_) {
                var _a;
                (_a = _this.disposer) === null || _a === void 0 ? void 0 : _a.call(_this);
                _this.disposer = null;
            },
        }) || this;
        _this.uiUtilities = null;
        _this.disposer = null;
        return _this;
    }
    ContextMenuPlugin.prototype.setUIUtilities = function (uiUtilities) {
        this.uiUtilities = uiUtilities;
    };
    return ContextMenuPlugin;
}(roosterjs_content_model_plugins_1.ContextMenuPluginBase));
/**
 * Create a new instance of ContextMenu plugin with context menu implementation based on FluentUI.
 */
function createContextMenuPlugin() {
    return new ContextMenuPlugin();
}
exports.createContextMenuPlugin = createContextMenuPlugin;
//# sourceMappingURL=createContextMenuPlugin.js.map