import type { Emoji } from '../type/Emoji';
/**
 * @internal
 */
export declare const MoreEmoji: Emoji;
/**
 * @internal
 */
export declare const CommonEmojis: Emoji[];
/**
 * @internal
 */
export declare type EmojiFamilyKeys = 'People' | 'Nature' | 'Activities' | 'Food' | 'Travel' | 'Symbols' | 'Objects';
/**
 * @internal
 * NOTE: name for an emoji should be in lower case
 */
export declare const EmojiList: Record<EmojiFamilyKeys, Emoji[]>;
/**
 * @internal
 */
export declare const EmojiFabricIconCharacterMap: Record<EmojiFamilyKeys, string>;
/**
 * @internal
 */
export declare function forEachEmojiFamily(callback: (emojis: Emoji[], family: EmojiFamilyKeys) => boolean): void;
/**
 * @internal
 */
export declare function forEachEmoji(callback: (emoji: Emoji) => boolean): void;
