/// <reference types="react" />
import type { DialogItem } from '../type/DialogItem';
import type { CancelButtonStringKey, LocalizedStrings, OkButtonStringKey } from '../../common/index';
/**
 * @internal
 */
export interface InputDialogProps<Strings extends string, ItemNames extends string> {
    dialogTitleKey: Strings;
    unlocalizedTitle: string;
    items: Record<ItemNames, DialogItem<Strings>>;
    strings?: LocalizedStrings<Strings | OkButtonStringKey | CancelButtonStringKey>;
    onChange?: (changedItemName: ItemNames, newValue: string, currentValues: Record<ItemNames, string>) => Record<ItemNames, string> | null;
    onOk: (values: Record<ItemNames, string>) => void;
    onCancel: () => void;
    rows?: number;
}
/**
 * @internal
 */
export declare function InputDialog<Strings extends string, ItemNames extends string>(props: InputDialogProps<Strings, ItemNames>): JSX.Element;
