"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputDialog = void 0;
var tslib_1 = require("tslib");
var React = require("react");
var Button_1 = require("@fluentui/react/lib/Button");
var Dialog_1 = require("@fluentui/react/lib/Dialog");
var index_1 = require("../../common/index");
var roosterjs_content_model_dom_1 = require("roosterjs-content-model-dom");
var InputDialogItem_1 = require("./InputDialogItem");
/**
 * @internal
 */
function InputDialog(props) {
    var items = props.items, strings = props.strings, dialogTitleKey = props.dialogTitleKey, unlocalizedTitle = props.unlocalizedTitle, onOk = props.onOk, onCancel = props.onCancel, onChange = props.onChange, rows = props.rows;
    var dialogContentProps = React.useMemo(function () { return ({
        type: Dialog_1.DialogType.normal,
        title: (0, index_1.getLocalizedString)(strings, dialogTitleKey, unlocalizedTitle),
        styles: {
            innerContent: {
                height: rows ? '200px' : undefined,
            },
        },
    }); }, [strings, dialogTitleKey, unlocalizedTitle]);
    var _a = (0, tslib_1.__read)(React.useState((0, roosterjs_content_model_dom_1.getObjectKeys)(items).reduce(function (result, key) {
        result[key] = items[key].initValue;
        return result;
    }, {})), 2), currentValues = _a[0], setCurrentValues = _a[1];
    var onSubmit = React.useCallback(function () {
        onOk === null || onOk === void 0 ? void 0 : onOk(currentValues);
    }, [onOk, currentValues]);
    var onItemChanged = React.useCallback(function (itemName, newValue) {
        var _a;
        if (itemName in items) {
            var newValues = (onChange === null || onChange === void 0 ? void 0 : onChange(itemName, newValue, (0, tslib_1.__assign)({}, currentValues))) || (0, tslib_1.__assign)((0, tslib_1.__assign)({}, currentValues), (_a = {}, _a[itemName] = newValue, _a));
            setCurrentValues(newValues);
        }
    }, [setCurrentValues, currentValues, items]);
    return (React.createElement(Dialog_1.Dialog, { dialogContentProps: dialogContentProps, hidden: false, onDismiss: onCancel },
        React.createElement("div", null, (0, roosterjs_content_model_dom_1.getObjectKeys)(items).map(function (key) { return (React.createElement(InputDialogItem_1.InputDialogItem, { key: key, itemName: key, items: items, strings: strings, currentValues: currentValues, onEnterKey: onSubmit, onChanged: onItemChanged, rows: rows })); })),
        React.createElement(Dialog_1.DialogFooter, null,
            React.createElement(Button_1.PrimaryButton, { text: (0, index_1.getLocalizedString)(strings, 'buttonNameOK', 'OK'), onClick: onSubmit }),
            React.createElement(Button_1.DefaultButton, { text: (0, index_1.getLocalizedString)(strings, 'buttonNameCancel', 'Cancel'), onClick: onCancel }))));
}
exports.InputDialog = InputDialog;
//# sourceMappingURL=InputDialog.js.map