"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.backgroundColorButton = void 0;
var renderColorPicker_1 = require("../../colorPicker/component/renderColorPicker");
var roosterjs_content_model_api_1 = require("roosterjs-content-model-api");
var backgroundColors_1 = require("../../colorPicker/utils/backgroundColors");
var getClassNamesForColorPicker_1 = require("../../colorPicker/utils/getClassNamesForColorPicker");
var Key = 'buttonNameBackgroundColor';
/**
 * "Background color" button on the format ribbon
 */
exports.backgroundColorButton = {
    dropDownMenu: {
        items: backgroundColors_1.BackgroundColorDropDownItems,
        itemClassName: (0, getClassNamesForColorPicker_1.getColorPickerItemClassName)(),
        allowLivePreview: true,
        itemRender: function (item, onClick) { return (0, renderColorPicker_1.renderColorPicker)(item, backgroundColors_1.BackgroundColors, onClick); },
        commandBarSubMenuProperties: {
            className: (0, getClassNamesForColorPicker_1.getColorPickerContainerClassName)(),
        },
    },
    key: Key,
    unlocalizedText: 'Background color',
    iconName: 'FabricTextHighlight',
    onClick: function (editor, key) {
        // This check will always be true, add it here just to satisfy compiler
        if (key != 'buttonNameBackgroundColor') {
            (0, roosterjs_content_model_api_1.setBackgroundColor)(editor, (0, backgroundColors_1.getBackgroundColorValue)(key).lightModeColor);
        }
    },
};
//# sourceMappingURL=backgroundColorButton.js.map