"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.insertLinkButton = void 0;
var tslib_1 = require("tslib");
var roosterjs_content_model_api_1 = require("roosterjs-content-model-api");
var showInputDialog_1 = require("../../inputDialog/utils/showInputDialog");
/**
 * "Insert link" button on the format ribbon
 */
exports.insertLinkButton = {
    key: 'buttonNameInsertLink',
    unlocalizedText: 'Insert link',
    iconName: 'Link',
    onClick: function (editor, _, strings, uiUtilities) {
        var _a = (0, tslib_1.__read)((0, roosterjs_content_model_api_1.adjustLinkSelection)(editor), 2), displayText = _a[0], url = _a[1];
        var items = {
            url: {
                autoFocus: true,
                labelKey: 'insertLinkDialogUrl',
                unlocalizedLabel: 'Web address (URL)',
                initValue: url !== null && url !== void 0 ? url : '',
            },
            displayText: {
                labelKey: 'insertLinkDialogDisplayAs',
                unlocalizedLabel: 'Display as',
                initValue: displayText,
            },
        };
        (0, showInputDialog_1.showInputDialog)(uiUtilities, 'insertLinkTitle', 'Insert link', items, strings, function (itemName, newValue, values) {
            if (itemName == 'url' && values.displayText == values.url) {
                values.displayText = newValue;
                values.url = newValue;
                return values;
            }
            else {
                return null;
            }
        }).then(function (result) {
            editor.focus();
            if (result && result.url && (result.displayText != displayText || result.url != url)) {
                (0, roosterjs_content_model_api_1.insertLink)(editor, result.url, result.url, result.displayText);
            }
        });
    },
};
//# sourceMappingURL=insertLinkButton.js.map