"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setHeadingLevelButton = void 0;
var roosterjs_content_model_api_1 = require("roosterjs-content-model-api");
var keys = [
    'buttonNameNoHeading',
    'buttonNameHeading1',
    'buttonNameHeading2',
    'buttonNameHeading3',
    'buttonNameHeading4',
    'buttonNameHeading5',
    'buttonNameHeading6',
];
var headings = {
    buttonNameHeading1: 'Heading 1',
    buttonNameHeading2: 'Heading 2',
    buttonNameHeading3: 'Heading 3',
    buttonNameHeading4: 'Heading 4',
    buttonNameHeading5: 'Heading 5',
    buttonNameHeading6: 'Heading 6',
    '-': '-',
    buttonNameNoHeading: 'No heading',
};
/**
 * "Set header level" button on the format ribbon
 */
exports.setHeadingLevelButton = {
    key: 'buttonNameHeading',
    unlocalizedText: 'Heading',
    iconName: 'Header1',
    dropDownMenu: {
        items: headings,
        getSelectedItemKey: function (formatState) {
            var _a;
            return ((_a = formatState.headingLevel) !== null && _a !== void 0 ? _a : 0) > 0
                ? 'heading' + formatState.headingLevel
                : 'noHeading';
        },
    },
    onClick: function (editor, key) {
        var headingLevel = keys.indexOf(key);
        (0, roosterjs_content_model_api_1.setHeadingLevel)(editor, headingLevel);
    },
};
//# sourceMappingURL=setHeadingLevelButton.js.map