"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.textColorButton = void 0;
var renderColorPicker_1 = require("../../colorPicker/component/renderColorPicker");
var roosterjs_content_model_api_1 = require("roosterjs-content-model-api");
var textColors_1 = require("../../colorPicker/utils/textColors");
var getClassNamesForColorPicker_1 = require("../../colorPicker/utils/getClassNamesForColorPicker");
var Key = 'buttonNameTextColor';
/**
 * "Text color" button on the format ribbon
 */
exports.textColorButton = {
    dropDownMenu: {
        items: textColors_1.TextColorDropDownItems,
        itemClassName: (0, getClassNamesForColorPicker_1.getColorPickerItemClassName)(),
        allowLivePreview: true,
        itemRender: function (item, onClick) { return (0, renderColorPicker_1.renderColorPicker)(item, textColors_1.TextColors, onClick); },
        commandBarSubMenuProperties: {
            className: (0, getClassNamesForColorPicker_1.getColorPickerContainerClassName)(),
        },
    },
    key: Key,
    unlocalizedText: 'Text color',
    iconName: 'FontColor',
    onClick: function (editor, key) {
        // This check will always be true, add it here just to satisfy compiler
        if (key != 'buttonNameTextColor') {
            (0, roosterjs_content_model_api_1.setTextColor)(editor, (0, textColors_1.getTextColorValue)(key).lightModeColor);
        }
    },
};
//# sourceMappingURL=textColorButton.js.map